# RPM specfile for gtkmm module
# Generated Mon Jun 17 15:45:47 2002 GMT by Ximian build system
# $Id: bb_do,v 1.186 2002/06/10 19:52:03 peter Exp $
# from $Id: ximian-build.conf,v 1.25 2002/05/16 16:57:19 dobey Exp $

%define nam	gtkmm
%define ver	1.2.9
%define ximrev	1

Name:     	gtkmm
Version: 	1.2.9
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://gtkmm.sourceforge.net/
Epoch:		1
Source0:	gtkmm-1.2.9.tar.gz
Summary:	C++ bindings for GTK+
Group:		System Environment/Libraries
Provides:	ximian-gtkmm = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description

C++ Lanugage bindings for the Gimp ToolKit.


%files
%defattr(-, root, root)
%doc INSTALL NEWS TODO README
/usr/lib/lib*.so.*
/usr/lib/gtkmm/proc
/usr/bin/gtkmmconvert


%post
ldconfig

%postun
ldconfig

%package -n gtkmm-devel
Summary:	C++ bindings for GTK+
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Requires:	gtk+-devel
Requires:	libsigc++-devel
Provides:	ximian-gtkmm-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n gtkmm-devel

C++ Lanugage bindings for the Gimp ToolKit.


%files -n gtkmm-devel
%defattr(-, root, root)
/usr/lib/lib*.la
/usr/lib/lib*.so
/usr/lib/gtkmm/include
/usr/include/*
/usr/bin/gtkmm-config
/usr/share/aclocal/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gtkmm-1.2.9
    ;;
all)
%setup  -q -n gtkmm-1.2.9
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Mon Jun 17 2002 Ximian, Inc.

- Version: 1:1.2.9-1.ximian.1
- Summary: New build.
- New automated build.

* Mon May 6 2002 Ximian, Inc.

- Version: 1:1.2.8-1.ximian.4
- Summary: New build.
- New automated build.

